List Owned Brand Reviews Route
curl --request GET \
--url https://api.example.com/api/v1/brands/{brand_id}/brand-intelligence/reviews \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/brands/{brand_id}/brand-intelligence/reviews"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/brands/{brand_id}/brand-intelligence/reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"generated_at": "2023-11-07T05:31:56Z",
"subject": {
"name": "<string>",
"advertiser_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"brand_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain": "<string>"
},
"limit": 2,
"offset": 1,
"platforms": [
{
"platform": "trustpilot",
"label": "<string>",
"review_count": 0,
"average_rating": 2.5,
"profile_url": "<string>",
"last_collected_at": "2023-11-07T05:31:56Z",
"available": false
}
],
"total": 0,
"has_more": false,
"reviews": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platform": "trustpilot",
"rating": 3,
"title": "<string>",
"body": "<string>",
"reviewed_at": "2023-11-07T05:31:56Z",
"verified": true,
"business_response": "<string>",
"business_responded_at": "2023-11-07T05:31:56Z",
"source_url": "<string>",
"aspects": [
{
"aspect": "<string>",
"aspect_label": "<string>",
"sentiment": "positive"
}
],
"reviewer_name": "<string>",
"reviewer_location": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Brand Reviews
List Owned Brand Reviews Route
Return reviews for an owned Brand resolved by its exact domain.
GET
/
api
/
v1
/
brands
/
{brand_id}
/
brand-intelligence
/
reviews
List Owned Brand Reviews Route
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Available options:
trustpilot, google Required range:
1 <= x <= 100Required range:
x >= 0Response
Successful Response
The owned-brand review page — identity-bearing. See BrandReviewItem.
Show child attributes
Show child attributes
Required range:
x >= 1Required range:
x >= 0Show child attributes
Show child attributes
Required range:
x >= 0Show child attributes
Show child attributes
Was this page helpful?
⌘I